stages:
  - build
  - package
  - publish

build-and-test:
  image: python:3.10
  stage: build
  tags:
      - docker
  before_script:
      - pip install --upgrade pip
      - pip install pipenv
  script:
      - make all
  artifacts:
    when: always
    reports:
      junit: coverage/junit.xml
      coverage_report:
        coverage_format: cobertura
        path: coverage/coverage.xml
